function battle_sai040(npcID)       --姜世离

	local n=flag.GetBattleValue(12001)
	
	local x=100+12*n
	
	n=n+1
	flag.SetBattleValue(12001,n)
	
	local hp=battle.GetSelfHP(2)
	
	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	if hp<60 or n>=15 then

		battle.End(5000)
	
	else
		battle.SetSkillScale(x)
		local a=battle.GetRndNumber(1,10)
		if a>=1 and a<=4 then
			local id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,1539,1)
		elseif a>=5 and  a<=7 then
			local id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,1540,1)
		elseif a>=8 and  a<=9 then
			local id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,1541,1)
		else
			local id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,1542,1)
		end
	end
		
end